org.freedesktop.GeoClue2.Manager: Geoclue Reference Manual

## org.freedesktop.GeoClue2.Manager org.freedesktop.GeoClue2.Manager — The GeoClue service manager |

## Methods

    GetClient    (OUT o client);
    CreateClient (OUT o client);
    DeleteClient (IN  o client);
    AddAgent     (IN  s id);

## Properties

    InUse                   readable   b
    AvailableAccuracyLevel  readable   u

## Description

This is the interface you use to talk to main GeoClue2 manager object at path "/org/freedesktop/GeoClue2/Manager". The only thing you do with this interface is to call GetClient() or CreateClient() on it to get your application specific client object(s).

## Method Details

### The GetClient() method

    GetClient (OUT o client);

Retrieves a client object which can only be used by the calling application only. On the first call from a specific D-Bus peer, this method will create the client object but subsequent calls will return the path of the existing client.

`OUT o `client``: | The path for the client object

### The CreateClient() method

    CreateClient (OUT o client);

Creates and retrieves a client object which can only be used by the calling application only. Unlike GetClient(), thid method always creates a new client.

`OUT o `client``: | The path for the newly created client object

### The DeleteClient() method

    DeleteClient (IN  o client);

Use this method to explicitly destroy a client, created using GetClient() or CreateClient().

Long-running applications, should either use this to delete associated client(s) when not needed, or disconnect from the D-Bus connection used for communicating with Geoclue (which is implicit on client process termination).

`IN o `client``: | The path of the client object to delete

### The AddAgent() method

    AddAgent (IN  s id);

An API for user authorization agents to register themselves. Each agent is responsible for the user it is running as. Application developers can and should simply ignore this API.

`IN s `id``: | The Desktop ID (excluding .desktop) of the agent

## Property Details

### The "InUse" property

    InUse  readable   b

Whether service is currently is use by any application.

### The "AvailableAccuracyLevel" property

    AvailableAccuracyLevel  readable   u

The level of available accuracy, as GClueAccuracyLevel.